Native browser interactive spell-check tool fails to get content into DM, just CE, in Safari
Closed, ResolvedPublic

Description

Intention:
Correct the spelling of a word.

Steps to Reproduce:

  1. Add some text, including a spelling error, to an article.
  2. Use Safari's built-in spellcheck to correct the spelling.

Actual Results:
The correct spelling displays on the screen. However, if you "review changes", only the old, incorrect spelling is present. Also, the correct spelling stops being displayed on the screen if you hit return to start a new paragraph or list item.

Screenshot shows the display and the review changes. Confirmed in both lists and plain paragraphs.

Reproducible: Always

Confirmed in Safari 6 on Mac OS 10.8.5 using Vector. It's not present in Firefox 26.


Version: unspecified
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50822

Whatamidoing-WMF created this task.Via LegacyJan 7 2014, 12:58 AM
Whatamidoing-WMF added a comment.Via ConduitJan 7 2014, 12:59 AM

Created attachment 14242
VisualEditor screenshot, showing "Review changes" not matching the displayed text

Attached:

TheDJ added a comment.Via ConduitJan 7 2014, 1:13 AM

Confirmed with Safari 7 on 10.9

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:24 AM
Jdforrester-WMF changed the title from "VisualEditor: Using browser native interactive spell-check tool fails to make changes that get to the DM in Safari" to "Native browser interactive spell-check tool fails to get content into DM, just CE, in Safari".Via WebDec 3 2014, 3:43 AM
Jdforrester-WMF set Security to None.
Whatamidoing-WMF added a comment.Via WebDec 10 2014, 6:24 AM

I think we're making some progress on this. Today, the automatic spelling correction is visible in "Review changes". If the spelling change has the net effect of removing one character, then it even appears to be handled correctly. However, if it adds a character, then the change is not made, but an equivalent number of extra letters are repeated at the end.

Examples:

  • Typing "teh" and auto-correcting it to "the" displays correctly and saves correctly.
  • Typing "cantalop" and auto-correcting it to "cantaloup" (adding one character) is saved as "cantalopp" (last letter repeated; added 'u' missing).
  • Typing "proftabilty" and auto-correcting it to "profitability"(adding two characters) is saved as "proftabiltyty" (last two letters repeated; added two letters missing).
Krinkle removed a subscriber: Krinkle.Via WebDec 17 2014, 1:00 AM
Jdforrester-WMF moved this task to TR6: ???? on the VisualEditor workboard.Via WebJan 15 2015, 12:47 AM
Jdforrester-WMF set Story Points to 100.Via WebFeb 2 2015, 8:00 PM
Jdforrester-WMF moved this task to Accepted on the VisualEditor 2014/15 Q3 blockers workboard.Via WebFeb 3 2015, 5:05 PM
TrevorParscal changed Story Points from 100 to 40.Via WebFeb 4 2015, 7:13 PM
Jdforrester-WMF closed this task as "Resolved".Via WebFeb 18 2015, 3:38 PM
Jdforrester-WMF claimed this task.

I think we're making some progress on this. Today, the automatic spelling correction is visible in "Review changes". If the spelling change has the net effect of removing one character, then it even appears to be handled correctly. However, if it adds a character, then the change is not made, but an equivalent number of extra letters are repeated at the end.

Examples:

  • Typing "teh" and auto-correcting it to "the" displays correctly and saves correctly.
  • Typing "cantalop" and auto-correcting it to "cantaloup" (adding one character) is saved as "cantalopp" (last letter repeated; added 'u' missing).
  • Typing "proftabilty" and auto-correcting it to "profitability"(adding two characters) is saved as "proftabiltyty" (last two letters repeated; added two letters missing).

This also appears to now be fixed. Adding and removing characters works perfectly, in all three use cases here and others I tested.

Jdforrester-WMF moved this task to Done on the VisualEditor 2014/15 Q3 blockers workboard.Via WebFeb 18 2015, 5:21 PM
Jdforrester-WMF moved this task to Done on the VisualEditor workboard.Via WebFeb 21 2015, 12:37 AM

Add Comment